Subject: Re: What's cooking in git.git (Dec 2022, #05; Wed, 14)

From: Taylor Blau <[email-masked]>
Date: Wed, 14 Dec 2022 14:46:44 -0500

On Wed, Dec 14, 2022 at 07:44:23PM +0900, Junio C Hamano wrote:
> Junio C Hamano <[email-masked]> writes:
>
> > In the past, I tried to re-examine all the topics in 'next' myself
> > to pick and choose the ones to be kept before rewinding and
> > rebuilding 'next' after each release, which took me a while.  This
> > time, to share the burden to expedite the process, I'll reset 'next'
> > to 'master' without any topics merged, and rely on input from list
> > participants.
> >
> > The topics that used to be in 'next' are all marked as "Will merge
> > back to 'next'", but people can tell me to give them a chance to
> > reboot their topics, instead of piling "oops, that was wrong" fixes
> > on top, while I wait for such an input for the coming days.
>
> What is involved in "re-examine to pick and choose the ones to be
> kept" was to go to the original thread (which should not be too
> hard, as Taylor has maintained the "source:" line in the report well
> during my absense) see general consensus and the reason behind the
> consensus back then still applies today.

Since it wasn't obvious to me, I figure it is worth mentioning that the
effort to maintain these source lines can be done via the "amlog" notes,
which are automatically filled in when applying new patches from the
list via your post-applypatch hook.

The relevant parts being:

  message_id="$(...)"
  if test -n "$message_id" && head=$(git rev-parse --verify HEAD 2>/dev/null)
  then
    echo "$head $message_id" >>"$GIT_DIR"/am.log &&
    (
      GIT_NOTES_REF=refs/notes/amlog
      export GIT_NOTES_REF
      git notes add -f -m "Message-Id: $message_id" "$head"
    )
  fi

I just made sure to push `refs/notes/amlog` up when doing new push-outs.
The rest (including the "source:" lines in the WC reports) was made easy
by your Meta/cook script.

Thanks,
Taylor